xine-lib: IMemInputPin_vt Struct Reference

xine-lib 1.2.12

Data Fields
IMemInputPin_vt Struct Reference

`#include <interfaces.h>`

## Data Fields
long STDCALL(* | QueryInterface )(IUnknown *This, const GUID *riid, void **ppvObject)
long STDCALL(* | AddRef )(IUnknown *This)
long STDCALL(* | Release )(IUnknown *This)
HRESULT STDCALL(* | GetAllocator )(IMemInputPin *This, IMemAllocator **ppAllocator)
HRESULT STDCALL(* | NotifyAllocator )(IMemInputPin *This, IMemAllocator *pAllocator, int bReadOnly)
HRESULT STDCALL(* | GetAllocatorRequirements )(IMemInputPin *This, ALLOCATOR_PROPERTIES *pProps)
HRESULT STDCALL(* | Receive )(IMemInputPin *This, IMediaSample *pSample)
HRESULT STDCALL(* | ReceiveMultiple )(IMemInputPin *This, IMediaSample **pSamples, long nSamples, long *nSamplesProcessed)
HRESULT STDCALL(* | ReceiveCanBlock )(IMemInputPin *This)

## Field Documentation

## ◆ AddRef

long STDCALL(* IMemInputPin_vt::AddRef) (IUnknown *This)

Referenced by COutputPin_M_QueryInterface(), COutputPin_QueryInterface(), and COutputPinCreate().

## ◆ GetAllocator

HRESULT STDCALL(* IMemInputPin_vt::GetAllocator) (IMemInputPin *This, IMemAllocator **ppAllocator)

Referenced by COutputPinCreate(), and DS_Filter_Start().

## ◆ GetAllocatorRequirements

HRESULT STDCALL(* IMemInputPin_vt::GetAllocatorRequirements) (IMemInputPin *This, ALLOCATOR_PROPERTIES *pProps)

Referenced by COutputPinCreate().

## ◆ NotifyAllocator

HRESULT STDCALL(* IMemInputPin_vt::NotifyAllocator) (IMemInputPin *This, IMemAllocator *pAllocator, int bReadOnly)

Referenced by COutputPinCreate(), and DS_Filter_Start().

## ◆ QueryInterface

long STDCALL(* IMemInputPin_vt::QueryInterface) (IUnknown *This, const GUID *riid, void **ppvObject)

Referenced by COutputPinCreate().

## ◆ Receive

HRESULT STDCALL(* IMemInputPin_vt::Receive) (IMemInputPin *This, IMediaSample *pSample)

Referenced by COutputPinCreate().

## ◆ ReceiveCanBlock

HRESULT STDCALL(* IMemInputPin_vt::ReceiveCanBlock) (IMemInputPin *This)

Referenced by COutputPinCreate().

## ◆ ReceiveMultiple

HRESULT STDCALL(* IMemInputPin_vt::ReceiveMultiple) (IMemInputPin *This, IMediaSample **pSamples, long nSamples, long *nSamplesProcessed)

Referenced by COutputPinCreate().

## ◆ Release

long STDCALL(* IMemInputPin_vt::Release) (IUnknown *This)

Referenced by COutputPinCreate(), DS_Filter_Destroy(), and DS_Filter_Start().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/libw32dll/DirectShow/interfaces.h